Bug 484721 - Anaconda eats CPU.
Anaconda eats CPU.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 11:47 EST by Fabian Deutsch
Modified: 2013-01-10 00:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 15:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace of a stalling liveinst (4.31 MB, text/plain)
2009-02-27 15:54 EST, Fabian Deutsch
no flags Details

  None (edit)
Description Fabian Deutsch 2009-02-09 11:47:37 EST
Description of problem:
Anaconda eats all cpu in a kvm vm on F10.

Version-Release number of selected component (if applicable):
anaconda used in F11-Alpha-i686-Live.iso.

How reproducible:
Every time.

Steps to Reproduce:
1. qemu-img create -f qcow2 f11.sys.qcow2 20G
2. sudo qemu-kvm -cdrom Fedora-11-Alpha-i686-Live/F11-Alpha-i686-Live.iso -m 1024 -usb -hda f11.sys.qcow2 -vga std  -net user -net nic -smp 2
3. Run gnome-terminal with top.
4. Run Install to Hard Drive
  
Actual results:
Anaconda eats all the cpu.

Expected results:
Anaconda behaves sane.

Additional info:
Comment 1 Fabian Deutsch 2009-02-09 12:10:59 EST
No change when using without smp and/or with an raw-image.
Comment 2 Chris Lumens 2009-02-20 13:47:56 EST
What stage of anaconda are you seeing this hang?  Also, are you able to reproduce this with rawhide?
Comment 3 Chris Lumens 2009-02-20 13:48:41 EST
Well, I guess we don't make live CD images for rawhide, so that's not a very useful question to ask.  Still, can you reproduce it outside of the live CD case?  When F11 beta is released, can you try that as well?
Comment 4 Mark McLoughlin 2009-02-23 03:15:43 EST
Fabian, at what stage does anaconda hang? Can you get an strace of anaconda?
Comment 5 R Dhushyanth 2009-02-27 12:57:14 EST
Fabian, thanks for the report.could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Fabian Deutsch 2009-02-27 15:54:52 EST
Created attachment 333535 [details]
Strace of a stalling liveinst
Comment 7 Fabian Deutsch 2009-02-27 15:58:25 EST
There you go.
It appears right from the start.

I didn't capture it right now, but there are some kmod errors when starting liveinst from a terminal (easy to reproduce).
Comment 8 Joshua Armstrong 2009-03-02 15:54:41 EST
Triage:  ASSIGNED: taking attachment id=333535 as sufficient information
Comment 9 Andy Lindeberg 2009-03-02 15:59:00 EST
The bug is not assigned to anybody, therefore NEW. Please leave my bugs alone.
Comment 10 Peter Jones 2009-03-17 15:08:50 EDT
Hopefully fixed in the next build...
Comment 11 Jesse Keating 2009-03-18 15:01:01 EDT
Confirmed fixed in latest anaconda build, which is tagged for beta.
Comment 12 Fabian Deutsch 2009-04-01 17:04:10 EDT
Seems to be fixed.

Note You need to log in before you can comment on or make changes to this bug.